APIAnalytics
Blocked tool time series
Blocked tool calls over time.
GET
Blocked tool calls over time.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_tool_analyticsstart_time*stringStart of the time range to report on, inclusive.
Format
date-timeend_time*stringEnd of the time range to report on, exclusive.
Format
date-timeinterval?stringTime bucket size for the series: hour or day.
Value in
"hour""day"agent_instance_id?array<>Filter to specific agent instances by id.
agent_slug?array<string>Filter to agents by slug, the agent type such as claude-code.
mcp_id?array<>Filter to specific MCP servers by id.
tool_name?array<string>Filter to specific tool names.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
agent_tag_id?array<>Filter to agent instances carrying specific tags.
resource_tag_id?array<>Filter to MCP servers carrying specific tags.
The request has succeeded.
application/json- response
Time-bucketed event counts.
series*array<>Ordered data points, one per time bucket.
curl -X GET "https://example.com/analytics/blocked-tools-over-time?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "series": [ { "timestamp": "2019-08-24T14:15:22Z", "count": 0 } ]}